Flatpak build issue

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Flatpak build issue

Gnome Evolution - General mailing list

I built the evolution flatpak

gnome-sdk 3.28,  with evolution 3.26

build comes out clean, but running it results in

    flatpak run org.gnome.Evolution

        (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
        assertion 'G_IS_DBUS_CONNECTION (connection)' failed

        (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
        assertion 'G_IS_DBUS_CONNECTION (connection)' failed

        (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
        assertion 'G_IS_DBUS_CONNECTION (connection)' failed

        (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
        assertion 'G_IS_DBUS_CONNECTION (connection)' failed

        (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
        assertion 'G_IS_DBUS_CONNECTION (connection)' failed

        (evolution.bin:39): Gtk-WARNING **: Can't open portal file
        chooser: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown:
        The name org.freedesktop.portal.Desktop was not provided by any
        .service files

On bring up, I'm at the point where I need to pick the backup file to 
use to populate the flatpak version.  I'm clicking the browse link
which results in the last error.

Mike
_______________________________________________
evolution-list mailing list
[hidden email]
To change your list options or unsubscribe, visit ...
https://mail.gnome.org/mailman/listinfo/evolution-list
Reply | Threaded
Open this post in threaded view
|

Re: Flatpak build issue

Douglas Summers
On Fri, 2018-07-06 at 11:46 -0500, Japhering via evolution-list wrote:

> I built the evolution flatpak
>
> gnome-sdk 3.28,  with evolution 3.26
>
> build comes out clean, but running it results in
>
>     flatpak run org.gnome.Evolution
>
>         (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
>         assertion 'G_IS_DBUS_CONNECTION (connection)' failed
>
>         (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
>         assertion 'G_IS_DBUS_CONNECTION (connection)' failed
>
>         (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
>         assertion 'G_IS_DBUS_CONNECTION (connection)' failed
>
>         (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
>         assertion 'G_IS_DBUS_CONNECTION (connection)' failed
>
>         (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
>         assertion 'G_IS_DBUS_CONNECTION (connection)' failed
>
>         (evolution.bin:39): Gtk-WARNING **: Can't open portal file
>         chooser:
> GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown:
>         The name org.freedesktop.portal.Desktop was not provided by
> any
>         .service files
>
> On bring up, I'm at the point where I need to pick the backup file
> to
> use to populate the flatpak version.  I'm clicking the browse link
> which results in the last error.
>
> Mikehttps://wiki.gnome.org/Apps/Evolution/Flatpak
> _______________________________________________
> evolution-list mailing list
> [hidden email]
> To change your list options or unsubscribe, visit ...
> https://mail.gnome.org/mailman/listinfo/evolution-list

How did you build it? I used the instructions from https://wiki.gnome.o
rg/Apps/Evolution/Flatpak and it built version 3.28, not 3.26 (this was
done in the last month on Mint 18.3). I also changed the build to use
Gnome 3.28 instead of 3.26.

What version of flatpak are you using?

_______________________________________________
evolution-list mailing list
[hidden email]
To change your list options or unsubscribe, visit ...
https://mail.gnome.org/mailman/listinfo/evolution-list
Reply | Threaded
Open this post in threaded view
|

Re: Flatpak build issue

Gnome Evolution - General mailing list
In reply to this post by Gnome Evolution - General mailing list
On Fri, 2018-07-06 at 09:52 -0700, Douglas Summers wrote:
> On Fri, 2018-07-06 at 11:46 -0500, Japhering via evolution-list
> wrote:
> > 
> > I built the evolution flatpak
> > 
> > gnome-sdk 3.28,  with evolution 3.26
> > 
> > build comes out clean, but running it results in
> > 
> >     flatpak run org.gnome.Evolution
> > 
> >         (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
> >         assertion 'G_IS_DBUS_CONNECTION (connection)' failed
> > 
> >         (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
> >         assertion 'G_IS_DBUS_CONNECTION (connection)' failed
> > 
> >         (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
> >         assertion 'G_IS_DBUS_CONNECTION (connection)' failed
> > 
> >         (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
> >         assertion 'G_IS_DBUS_CONNECTION (connection)' failed
> > 
> >         (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
> >         assertion 'G_IS_DBUS_CONNECTION (connection)' failed
> > 
> >         (evolution.bin:39): Gtk-WARNING **: Can't open portal file
> >         chooser:
> > GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown:
> >         The name org.freedesktop.portal.Desktop was not provided by
> > any
> >         .service files
> > 
> > On bring up, I'm at the point where I need to pick the backup file
> > to 
> > use to populate the flatpak version.  I'm clicking the browse link
> > which results in the last error.
> > 
> > 
> How did you build it? I used the instructions from https://wiki.gnome
> .o
> rg/Apps/Evolution/Flatpak and it built version 3.28, not 3.26 (this
> was
> done in the last month on Mint 18.3). I also changed the build to use
> Gnome 3.28 instead of 3.26.

Looking at the json file this is what I see:

    "runtime-version": "3.26",
    "sdk": "org.gnome.Sdk",
    "command": "evolution",
    "rename-icon": "evolution",
    "copy-icon": true,
    "branch": "gnome-3-28",
    "desktop-file-name-suffix": " (3.28)",

I'm following the aforementioned wiki instructions running on LinuxMint

4.15.0-24-generic #26~16.04.1-Ubuntu SMP Fri Jun 15 14:35:08 UTC 2018
x86_64 x86_64 x86_64 GNU/Linux

DISTRIB_ID=LinuxMint
DISTRIB_RELEASE=18.3
DISTRIB_CODENAME=sylvia
DISTRIB_DESCRIPTION="Linux Mint 18.3 Sylvia"
NAME="Linux Mint"
VERSION="18.3 (Sylvia)"
ID=linuxmint
ID_LIKE=ubuntu
PRETTY_NAME="Linux Mint 18.3"
VERSION_ID="18.3"
HOME_URL="http://www.linuxmint.com/"
SUPPORT_URL="http://forums.linuxmint.com/"
BUG_REPORT_URL="http://bugs.launchpad.net/linuxmint/"
VERSION_CODENAME=sylvia
UBUNTU_CODENAME=xenial

> What version of flatpak are you using?

flatpak --version
Flatpak 0.99.2



_______________________________________________
evolution-list mailing list
[hidden email]
To change your list options or unsubscribe, visit ...
https://mail.gnome.org/mailman/listinfo/evolution-list
Reply | Threaded
Open this post in threaded view
|

Re: Flatpak build issue

Pete Biggs
In reply to this post by Gnome Evolution - General mailing list
On Fri, 2018-07-06 at 11:46 -0500, Japhering via evolution-list wrote:
> I built the evolution flatpak

Disclaimer, I don't build Evolution, I just read posts here.

>
> build comes out clean, but running it results in
>
>     flatpak run org.gnome.Evolution
>
>         (evolution.bin:39): GLib-GIO-CRITICAL **: g_dbus_proxy_new:
>         assertion 'G_IS_DBUS_CONNECTION (connection)' failed

I seem to remember it being said that the flatpack build of Evo runs in
a sandbox and doesn't have access to things like DBUS.

Try looking back through the list archives, you might find something
more concrete.

P.

_______________________________________________
evolution-list mailing list
[hidden email]
To change your list options or unsubscribe, visit ...
https://mail.gnome.org/mailman/listinfo/evolution-list